# smsbb 👼

✨ DIY sms announce lists for you and yours ✨

## norms for working on this repo

- work in a branch
- branch names should use the format `username/thing-you-are-doing`
  - for example `git checkout -b maren/update-readme-3`
- don't worry about tidy commits! just keep your work in a branch
- open a PR and review with someone synchronously before merging to main

## getting started real fast

Here's what to do if you haven't already set up your `GOPATH`:

1. Run `go env` and figure out how your Go installation is configured
   with respect to your `GOPATH`:

   ```shell
   $ go env | grep GOPATH
   GOPATH='/home/you/go'
   ```

2. Set up this repository within your `GOPATH`:

   ```shell
   # If GOPATH is /home/you/go, then...
   $ cd ~/go && mkdir -p pkg/git.bunk.computer/bunk/smsbb && cd pkg/git.bunk.computer/bunk
   $ git clone https://git.bunk.computer/bunk/smsbb
   $ cd smsbb
   ```

3. Get your Twilio Account SID and Auth Token and store them in the following environment
   variables:

   ```shell
   $ export SMSBB_ACCT_SID="..." # Your Twilio Account SID goes here
   $ export SMSBB_AUTH_TOKEN="..." # Your Twilio Auth Token goes here
   ```

4. Run `smsbb`:

   ```shell
   # In this example, +1 (828) 555-0123 is the "from" address, and
   # +1 (828) 555-4567 is the "to" address
   $ go run smsbb.go "+18285550123" "+18285554567" "This is your first message\!"
   ```
